SHANNON A.I. लोगो
SHANNON A.I.
चैट कीमतें एपीआई अनुसंधान कंपनी Pentest AI स्टार्टअप बूस्ट
साइन इन
योजना और उपयोग
चैट कीमतें एपीआई अनुसंधान कंपनी Pentest AI स्टार्टअप बूस्ट साइन इन योजना और उपयोग

अपनी भाषा चुनें

सभी भाषाएं समान हैं। जिस भाषा में आप ब्राउज़ करना चाहते हैं, उसे चुनें।

API दस्तावेज़ीकरण

Shannon API

OpenAI और Anthropic‑संगत AI API जिसमें function calling, web search और structured outputs हैं।

API कुंजी प्राप्त करें Playground आज़माएँ V2
दस्तावेज़ीकरण
  • OV सारांश
  • CP क्षमताएँ
  • QS क्विक स्टार्ट
  • PG API प्लेग्राउंड नया
  • AU प्रमाणीकरण
  • ML मॉडल
  • FN फ़ंक्शन कॉलिंग
  • JS संरचित आउटपुट
  • SS स्ट्रीमिंग
  • WS इनबिल्ट Web Search
  • AN Anthropic फ़ॉर्मेट
  • SD SDKs
  • ER त्रुटि प्रबंधन
  • CL चेंजलॉग
  • AK आपका API Key
  • US आपका उपयोग

Shannon AI API Documentation

सारांश

सार्वजनिक दस्तावेज़

Shannon के OpenAI/Anthropic‑संगत API के साथ ship करने के लिए सब कुछ।

बेस URL OpenAI-संगत
https://api.shannon-ai.com/v1/chat/completions

Chat Completions API को function calling और streaming के साथ उपयोग करें।

बेस URL Anthropic-संगत
https://api.shannon-ai.com/v1/messages

tools और anthropic-version header के साथ Claude Messages format।

हेडर प्रमाणीकरण
प्राधिकरण: Bearer <aapki-kunji>

या Claude-स्टाइल कॉल के लिए anthropic-version के साथ X-API-Key उपयोग करें।

Access Status
Public docs - Key required to call

Streaming, function calling, structured outputs और web search।

लॉन्च चेकलिस्ट
  • +
    अपने SDK को Shannon पर पॉइंट करें
    baseURL को ऊपर दिए OpenAI या Anthropic endpoint पर सेट करें।
    Setup
  • +
    अपनी API key जोड़ें
    OpenAI के लिए Bearer या X-API-Key + anthropic-version उपयोग करें।
    Security
  • +
    tools और structured outputs सक्षम करें
    OpenAI tools/functions, JSON schema और built-in web_search समर्थित है।
    क्षमताएँ
  • +
    उपयोग ट्रैक करें
    लॉगिन के बाद इस पेज पर token और search खपत देखें।
    Analytics

क्षमताएँ

OpenAI + Anthropic

OpenAI और Anthropic APIs का direct replacement, tools, structured outputs और built-in web search के native support के साथ।

AI

ड्रॉप‑इन प्रतिस्थापन

संगत

OpenAI और Anthropic SDKs के साथ काम करता है। बस base URL बदलें।

AI

फ़ंक्शन कॉलिंग

टूल्स

टूल्स परिभाषित करें, Shannon उन्हें कॉल करे। auto, forced और none मोड समर्थित हैं।

AI

इन‑बिल्ट वेब खोज

खोज

सोर्स citations के साथ रियल‑टाइम वेब खोज। स्वतः उपलब्ध।

AI

संरचित आउटपुट

JSON

विश्वसनीय डेटा निष्कर्षण के लिए JSON मोड और JSON Schema enforcement।

AI

मल्टी‑टर्न टूल्स

एजेंटिक

स्वचालित फ़ंक्शन एक्ज़ेक्यूशन लूप्स। प्रति अनुरोध अधिकतम 10 iterations।

AI

स्ट्रीमिंग

तेज़

रियल‑टाइम टोकन स्ट्रीमिंग के लिए server‑sent events.

क्विक स्टार्ट

5 मिनट

तीन चरणों में शुरू करें। Shannon OpenAI और Anthropic clients को मिरर करता है।

1

अपना base URL सेट करें

OpenAI‑compatible endpoint उपयोग करें।

https://api.shannon-ai.com/v1/chat/completions
2

अपना API key जोड़ें

Authorization header में Bearer auth उपयोग करें।

3

अपना पहला संदेश भेजें

भाषा चुनें और अपना key डालें।

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "system", "content": "You are a helpful assistant."},
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    max_tokens=1024
)

print(response.choices[0].message.content)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'system', content: 'You are a helpful assistant.' },
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  max_tokens: 1024
});

console.log(response.choices[0].message.content);
Go
package main

import (
    "context"
    "fmt"
    openai "github.com/sashabaranov/go-openai"
)

func main() {
    config := openai.DefaultConfig("YOUR_API_KEY")
    config.BaseURL = "https://api.shannon-ai.com/v1"
    client := openai.NewClientWithConfig(config)

    resp, err := client.CreateChatCompletion(
        context.Background(),
        openai.ChatCompletionRequest{
            Model: "shannon-1.6-lite",
            Messages: []openai.ChatCompletionMessage{
                {Role: "system", Content: "You are a helpful assistant."},
                {Role: "user", Content: "Hello, Shannon!"},
            },
            MaxTokens: 1024,
        },
    )
    if err != nil {
        panic(err)
    }
    fmt.Println(resp.Choices[0].Message.Content)
}
cURL
curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "shannon-1.6-lite",
    "messages": [
      {"role": "system", "content": "You are a helpful assistant."},
      {"role": "user", "content": "Hello, Shannon!"}
    ],
    "max_tokens": 1024
  }'

रिस्पॉन्स फॉर्मैट

सफल रिस्पॉन्स
{
  "id": "chatcmpl-abc123",
  "object": "chat.completion",
  "created": 1234567890,
  "model": "Shannon 1.6 Lite",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
      },
      "finish_reason": "stop"
    }
  ],
  "usage": {
    "prompt_tokens": 25,
    "completion_tokens": 18,
    "total_tokens": 43
  }
}

API प्लेग्राउंड

नया

अपने ब्राउज़र में सीधे Shannon API टेस्ट करें। अपना अनुरोध बनाएं, चलाएं और रियल‑टाइम रिस्पॉन्स देखें।

1

Chat, Responses, Messages

Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.

2

Stream live output

Run real requests, inspect raw JSON, and view stream events from the same operator console.

3

Reuse your key

Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.

/hi/docs/playground

The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.

Playground आज़माएँ V2 API कुंजी प्राप्त करें

प्रमाणीकरण

सभी API requests के लिए आपकी Shannon API key से authentication आवश्यक है।

OpenAI Format (Recommended)

HTTP
Authorization: Bearer YOUR_API_KEY

Anthropic फ़ॉर्मेट

HTTP
X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01

मॉडल

Shannon अलग-अलग use cases के लिए optimized कई models देता है।

AI
shannon-1.6-lite Shannon 1.6 Lite

Fast, efficient responses for everyday tasks

संदर्भ 128K
इसके लिए सर्वश्रेष्ठ Chat, Q&A, Content Generation
AI
shannon-1.6-pro Shannon 1.6 Pro

Advanced reasoning for complex problems

संदर्भ 128K
इसके लिए सर्वश्रेष्ठ Analysis, Research, Complex Tasks
AI
shannon-2-lite Shannon 2 Lite

संदर्भ 128K
इसके लिए सर्वश्रेष्ठ
AI
shannon-2-pro Shannon 2 Pro

संदर्भ 128K
इसके लिए सर्वश्रेष्ठ
AI
shannon-coder-1 Shannon Coder

Optimized for Claude Code CLI with call-based quota

संदर्भ 128K
इसके लिए सर्वश्रेष्ठ Code Generation, Tool Use, CLI Integration
Call-based quota

फ़ंक्शन कॉलिंग

Define tools that Shannon can call to perform actions or retrieve information.

Python
from openai import OpenAI
import json

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Define available tools/functions
tools = [
    {
        "type": "function",
        "function": {
            "name": "get_weather",
            "description": "Get current weather for a location",
            "parameters": {
                "type": "object",
                "properties": {
                    "location": {
                        "type": "string",
                        "description": "City name, e.g., 'Tokyo'"
                    },
                    "unit": {
                        "type": "string",
                        "enum": ["celsius", "fahrenheit"]
                    }
                },
                "required": ["location"]
            }
        }
    }
]

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
    tools=tools,
    tool_choice="auto"
)

# Check if model wants to call a function
if response.choices[0].message.tool_calls:
    tool_call = response.choices[0].message.tool_calls[0]
    print(f"Function: {tool_call.function.name}")
    print(f"Arguments: {tool_call.function.arguments}")
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const tools = [
  {
    type: 'function',
    function: {
      name: 'get_weather',
      description: 'Get current weather for a location',
      parameters: {
        type: 'object',
        properties: {
          location: { type: 'string', description: "City name" },
          unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
        },
        required: ['location']
      }
    }
  }
];

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
  tools,
  tool_choice: 'auto'
});

if (response.choices[0].message.tool_calls) {
  const toolCall = response.choices[0].message.tool_calls[0];
  console.log('Function:', toolCall.function.name);
  console.log('Arguments:', toolCall.function.arguments);
}

टूल चयन विकल्प

"auto" Model decides whether to call a function (default)
"none" Disable function calling for this request
{"type": "function", "function": {"name": "..."}} Force a specific function call

फ़ंक्शन कॉल प्रतिक्रिया

When model calls a function
{
  "id": "chatcmpl-xyz",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": null,
        "tool_calls": [
          {
            "id": "call_abc123",
            "type": "function",
            "function": {
              "name": "get_weather",
              "arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
            }
          }
        ]
      },
      "finish_reason": "tool_calls"
    }
  ]
}

संरचित आउटपुट

Force Shannon to respond with valid JSON that matches your schema.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Force JSON output with schema
response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
    ],
    response_format={
        "type": "json_schema",
        "json_schema": {
            "name": "person_info",
            "schema": {
                "type": "object",
                "properties": {
                    "name": {"type": "string"},
                    "age": {"type": "integer"},
                    "occupation": {"type": "string"}
                },
                "required": ["name", "age", "occupation"]
            }
        }
    }
)

import json
data = json.loads(response.choices[0].message.content)
print(data)  # {"name": "John Doe", "age": 30, "occupation": "engineer"}
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
  ],
  response_format: {
    type: 'json_schema',
    json_schema: {
      name: 'person_info',
      schema: {
        type: 'object',
        properties: {
          name: { type: 'string' },
          age: { type: 'integer' },
          occupation: { type: 'string' }
        },
        required: ['name', 'age', 'occupation']
      }
    }
  }
});

const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" }

रिस्पॉन्स फ़ॉर्मेट विकल्प

{"type": "json_object"} Force valid JSON output (no specific schema)
{"type": "json_schema", "json_schema": {...}} Force output matching your exact schema

स्ट्रीमिंग

Enable real-time token streaming with Server-Sent Events for responsive UIs.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Enable streaming for real-time responses
stream = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Write a short poem about AI"}
    ],
    stream=True
)

for chunk in stream:
    if chunk.choices[0].delta.content:
        print(chunk.choices[0].delta.content, end="", flush=True)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Write a short poem about AI' }
  ],
  stream: true
});

for await (const chunk of stream) {
  const content = chunk.choices[0]?.delta?.content;
  if (content) process.stdout.write(content);
}
टिप: Streaming responses arrive as Server-Sent Events. Each chunk contains a delta with partial content.

इनबिल्ट Web Search

Shannon includes a built-in web_search function that's automatically available.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Web search is automatically available!
# Shannon will use it when needed for current information

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "What are the latest AI news today?"}
    ],
    # Optionally, explicitly define web_search tool
    tools=[{
        "type": "function",
        "function": {
            "name": "web_search",
            "description": "Search the web for current information",
            "parameters": {
                "type": "object",
                "properties": {
                    "query": {"type": "string", "description": "Search query"}
                },
                "required": ["query"]
            }
        }
    }]
)

print(response.choices[0].message.content)
# Response includes sources and citations
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Web search is automatically available!
// Shannon will use it when needed for current information

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'What are the latest AI news today?' }
  ],
  // Optionally, explicitly define web_search tool
  tools: [{
    type: 'function',
    function: {
      name: 'web_search',
      description: 'Search the web for current information',
      parameters: {
        type: 'object',
        properties: {
          query: { type: 'string', description: 'Search query' }
        },
        required: ['query']
      }
    }
  }]
});

console.log(response.choices[0].message.content);
// Response includes sources and citations
प्रो टिप: Web search results में citations शामिल होते हैं। Shannon sources को अपने आप cite करेगा।

Anthropic फ़ॉर्मेट

Shannon Anthropic के Messages API format को भी support करता है।

https://api.shannon-ai.com/v1/messages
Python
import anthropic

client = anthropic.Anthropic(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/messages"
)

response = client.messages.create(
    model="shannon-1.6-lite",
    max_tokens=1024,
    messages=[
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    # Tool use (Anthropic format)
    tools=[{
        "name": "web_search",
        "description": "Search the web",
        "input_schema": {
            "type": "object",
            "properties": {
                "query": {"type": "string"}
            },
            "required": ["query"]
        }
    }]
)

print(response.content[0].text)
JavaScript
import Anthropic from '@anthropic-ai/sdk';

const client = new Anthropic({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/messages'
});

const response = await client.messages.create({
  model: 'shannon-1.6-lite',
  max_tokens: 1024,
  messages: [
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  // Tool use (Anthropic format)
  tools: [{
    name: 'web_search',
    description: 'Search the web',
    input_schema: {
      type: 'object',
      properties: {
        query: { type: 'string' }
      },
      required: ['query']
    }
  }]
});

console.log(response.content[0].text);
आवश्यक हेडर: Anthropic format requires anthropic-version: 2023-06-01.

SDKs

संगत

Use any OpenAI or Anthropic SDK - just change the base URL.

OpenAI-Compatible SDKs

SDK Python

Official OpenAI Python SDK - works with Shannon

pip install openai
View Docs ->
SDK JavaScript / TypeScript

Official OpenAI Node.js SDK - works with Shannon

npm install openai
View Docs ->
SDK Go

Community Go client for OpenAI-compatible APIs

go get github.com/sashabaranov/go-openai
View Docs ->
SDK Ruby

Community Ruby client for OpenAI-compatible APIs

gem install ruby-openai
View Docs ->
SDK PHP

Community PHP client for OpenAI-compatible APIs

composer require openai-php/client
View Docs ->
SDK Rust

Async Rust client for OpenAI-compatible APIs

cargo add async-openai
View Docs ->

Anthropic-Compatible SDKs

SDK Python (Anthropic)

Official Anthropic Python SDK - works with Shannon

pip install anthropic
View Docs ->
SDK TypeScript (Anthropic)

Official Anthropic TypeScript SDK - works with Shannon

npm install @anthropic-ai/sdk
View Docs ->

त्रुटि प्रबंधन

Shannon मानक HTTP status codes का उपयोग करता है और विस्तृत त्रुटि संदेश लौटाता है।

400 गलत अनुरोध अनुरोध फॉर्मैट या पैरामीटर अमान्य
401 अनधिकृत API key अमान्य या गायब
402 क्वोटा पार टोकन या खोज क्वोटा पार
429 रेट लिमिटेड बहुत ज़्यादा अनुरोध, धीमे करें
500 सर्वर त्रुटि आंतरिक त्रुटि, बाद में पुनः प्रयास करें

एरर रिस्पॉन्स फॉर्मैट

एरर रिस्पॉन्स
{
  "error": {
    "message": "Invalid API key provided",
    "type": "authentication_error",
    "code": "invalid_api_key"
  }
}

चेंजलॉग

LOG

Recent updates and improvements to the Shannon API.

v2.1.0
2025-01-03
  • नया Added shannon-coder-1 model for Claude Code CLI integration
  • नया Call-based quota system for Coder model
  • Improved Improved function calling reliability
v2.0.0
2024-12-15
  • नया Added Anthropic Messages API compatibility
  • नया Multi-turn tool execution (up to 10 iterations)
  • नया JSON Schema response format support
  • Improved Enhanced web search with better citations
v1.5.0
2024-11-20
  • नया Added shannon-deep-dapo model for complex reasoning
  • नया Built-in web_search function
  • Improved Reduced latency for streaming responses
v1.0.0
2024-10-01
  • नया Initial API release
  • नया OpenAI-compatible chat completions endpoint
  • नया Function calling support
  • नया Streaming via Server-Sent Events

आपका API Key

Access
OpenAI के लिए Bearer या X-API-Key + anthropic-version उपयोग करें।
YOUR_API_KEY
API कुंजी प्राप्त करें

अपने API key को गुप्त रखें। रीजनरेट करने से नया key बनता है और पुराना अमान्य हो जाता है।

संस्करण: 1
आख़िरी रोटेशन: कभी नहीं
आख़िरी उपयोग: कभी नहीं

आपका उपयोग

लॉगिन के बाद इस पेज पर token और search खपत देखें।

-- API कॉल्स
-- उपयोग किए गए टोकन

Shannon Coder (shannon-coder-1)

Shannon Coder (shannon-coder-1) के लिए कॉल‑आधारित क्वोटा। हर 4 घंटों में रीसेट होता है।

0 उपयोग की गई कॉल्स
0 शेष कॉल्स

बिल्ड करने के लिए तैयार?

Get your API key and start building with Shannon AI today.

API कुंजी प्राप्त करें कीमत देखें

लोकप्रिय खोजें:

अलग कीवर्ड आज़माएँ
नेविगेट: ↑ ↓ चयन करें: Enter बंद करें: Esc